%set_verify_elf_method skip

%define uldvendor xerox

Name: %uldvendor-uld
Version: 1.00.39.3
Release: alt1
Source0: Xerox_B210_Linux_PrintDriver_Utilities.tar.gz
#Xerox_WorkCentre_3025_Linux-Driver.tar.gz
Source1: 60_smfp_%{uldvendor}.rules
Group: Other
Summary: Xerox Print and Scan Driver files for ULD
URL: https://download.support.xerox.com/pub/drivers/B210/drivers/linux/ar/Xerox_B210_Linux_PrintDriver_Utilities.tar.gz
#https://download.support.xerox.com/pub/drivers/WC3025/drivers/linux/en_GB/Xerox_WorkCentre_3025_Linux-Driver.tar.gz 
License: distributable

Conflicts: samsung-uld-standalone
Conflicts: xerox-uld-standalone

Requires: sane
Requires: cups
Requires: uld

%description

%prep
%setup -c

%install
# printer
cd ./uld

mkdir -p %buildroot/opt/%uldvendor/scanner
mkdir -p %buildroot/opt/%uldvendor/printer/share/ppd/cms
cp -rf ./noarch/share/ppd/* %buildroot/opt/%uldvendor/printer/share/ppd/

# scaner
mkdir -p  %buildroot/%_sysconfdir/udev/rules.d/
cp %SOURCE1 %buildroot/%_sysconfdir/udev/rules.d/

mkdir -p %buildroot/%_sysconfdir/sane.d/
cp -f ./noarch/etc/smfp.conf %buildroot/%_sysconfdir/sane.d/smfp-%uldvendor.conf


%post

cd /opt/smfp-common/scanner/.usedby
ln -sf /opt/%uldvendor/scanner %uldvendor

cd  /opt/smfp-common/printer/.usedby
ln -sf /opt/%uldvendor/printer %uldvendor

cd  %_datadir/ppd/
ln -sf /opt/%uldvendor/printer/share/ppd/ uld-%uldvendor

%postun
#sed -i '/^smfp$/d' %_sysconfdir/sane.d/dll.conf
rm -f %_datadir/ppd/uld-%uldvendor
rm -f /opt/smfp-common/printer/.usedby/%uldvendor
rm -f /opt/smfp-common/scanner/.usedby/%uldvendor

%files
/opt/%uldvendor/*
%_sysconfdir/sane.d/
%_sysconfdir/udev/rules.d/*

%changelog
* Mon Feb 12 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 1.00.39.3-alt1
- New version

* Wed Jan 24 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 1.00.25_00.05-alt5
- Init build